#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	smproxy
Version		:	1.0.6
Release		:	14.4.0.0%{?dist}
Summary		:	smproxy allows X applications that do not support X11R6 session
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://cgit.freedesktop.org/xorg/app/smproxy

Source0		:	%{name}-%{version}.tar.gz

# Generate source by doing:
# git clone git://anongit.freedesktop.org/xorg/app/smproxy
# cd smproxy
# git archive --format=tar --prefix=smproxy-1.0.6/ smproxy-1.0.6 | gzip > smproxy-1.0.6.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libpng
BuildRequires	:	mesa-devel
BuildRequires	:	xbitmaps
BuildRequires	:	xcb-util
#-----------------------------------------------------------------------------
%description
smproxy allows X applications that do not support X11R6 session
management to participate in an X11R6 session.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./configure						\
	$XORG_CONFIG					\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
  
	

%files			
%defattr(-,root,root,-)

%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/*.1.gz

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
